CREATE OR REPLACE PROCEDURE sp_fdt_alta_oficinas_embargos
(
    pch_compania            char,
    pch_codigo	           char,
    pch_descripcion     varchar2
)
AS
    vti_flag number(1);
BEGIN
    vti_flag := 0;
    BEGIN
	    SELECT 1 INTO vti_flag FROM DUAL 
	    WHERE EXISTS (SELECT 1 FROM fdt_embargos_oficinas
		    WHERE compania = pch_compania And
			    cod_oficina = pch_codigo);
    EXCEPTION
        WHEN OTHERS THEN vti_flag := 0;	
    END;

    IF vti_flag = 1 THEN
		UPDATE fdt_embargos_oficinas
		SET descripcion_oficina = pch_descripcion
		WHERE compania = pch_compania And cod_oficina = pch_codigo;
    ELSE
	    INSERT INTO fdt_embargos_oficinas (compania, cod_oficina, descripcion_oficina)
	    VALUES (pch_compania, pch_codigo, pch_descripcion);
     END IF;

 	COMMIT;
END;
/
CREATE PUBLIC SYNONYM sp_fdt_alta_oficinas_embargos FOR ADAM.sp_fdt_alta_oficinas_embargos;
GRANT EXECUTE ON sp_fdt_alta_oficinas_embargos TO adama;